package s3.services.transactions;

import ovm.core.domain.Method;
import ovm.core.domain.Oop;
import ovm.core.services.memory.VM_Address;

public class EmptyTransaction extends Transaction {
    public void logWord(Oop src, VM_Address ptr) {}
    public void par_log(VM_Address object, int offset) {}
    public void par_logw(VM_Address object, int offset) {}
    public void par_log_arr(Oop arr, int idx) {}
    public void par_log_arrw(Oop arr, int idx) {}
    public void undo() {}
    public void openCommit(int id) {}
    public void start(int size, boolean commit) {}
    public void start() {}
    public int openStart() { return 0; }
    public void commit() {}
    public void retry() {}
    public Method selectReflectiveMethod(Method method) {return method; }
    public boolean isAtomic(Method method) { return false; }

}
